gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.TextCellAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype TextCellAccessible = TextCellAccessible (ManagedPtr TextCellAccessible)
- class (GObject o, IsDescendantOf TextCellAccessible o) => IsTextCellAccessible o
- toTextCellAccessible :: (MonadIO m, IsTextCellAccessible o) => o -> m TextCellAccessible

# Exported types

newtype TextCellAccessible Source #

Memory-managed wrapper type.

Constructors

TextCellAccessible (ManagedPtr TextCellAccessible) |

#### Instances

Instances details

Eq TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible Methods (==) :: TextCellAccessible -> TextCellAccessible -> Bool Source # (/=) :: TextCellAccessible -> TextCellAccessible -> Bool Source #
GObject TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible
ManagedPtrNewtype TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible Methods toManagedPtr :: TextCellAccessible -> ManagedPtr TextCellAccessible Source #
TypedObject TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible Methods glibType :: IO GType Source #
HasParentTypes TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible
IsGValue (Maybe TextCellAccessible) Source # | Convert `TextCellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.TextCellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TextCellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TextCellAccessible) Source #
type ParentTypes TextCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible type ParentTypes TextCellAccessible = '[RendererCellAccessible, CellAccessible, Accessible, Object, Object, Action, Component, TableCell, Text]

class (GObject o, IsDescendantOf TextCellAccessible o) => IsTextCellAccessible o Source #

Type class for types which can be safely cast to `TextCellAccessible`, for instance with `toTextCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf TextCellAccessible o) => IsTextCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.TextCellAccessible

toTextCellAccessible :: (MonadIO m, IsTextCellAccessible o) => o -> m TextCellAccessible Source #

Cast to `TextCellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getBoundedRanges, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getColumnHeaderCells, getColumnSpan, getData, getDefaultAttributes, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getParent, getPosition, getProperty, getQdata, getRangeExtents, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getRunAttributes, getSelection, getSize, getStringAtOffset, getTable, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getWidget.

#### Setters

setAccessibleId, setCaretOffset, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSelection, setSize, setWidget.